import { RecordOfAnyType, CustomBpmnModdle, ModdleElement } from '../types';
import { DiFactoryService } from './di.service';
import * as i0 from "@angular/core";
export declare class AutoLayoutService {
    private readonly moddle;
    private readonly DiFactory;
    constructor(moddle: CustomBpmnModdle, DiFactory: DiFactoryService);
    layoutProcess(xmlStr: string): Promise<import("../types").SerializationResult>;
    bfs(parentFlowElement: ModdleElement, parentDi: ModdleElement): void;
    layoutConnection(el: ModdleElement, connection: ModdleElement, queue: ModdleElement[]): void;
    groupElement(elementOrConnection: ModdleElement, group: RecordOfAnyType, parentDi: ModdleElement): RecordOfAnyType;
    layoutGroup(group: RecordOfAnyType, parentDi: ModdleElement): {
        x: any;
        y: any;
    };
    layoutElements(group: RecordOfAnyType, parentDi: ModdleElement): {
        x: any;
        y: any;
    };
    layoutConnections(connections: Array<RecordOfAnyType>, parentDi: ModdleElement): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<AutoLayoutService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<AutoLayoutService>;
}
